| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - p -

- packetSize : ci_rx_packet_t
- pAdapter : SensorConfig_st
- padding : mma8491q_Sensor_Specific_Settings_t , mma955x_appConfigRegister_t
- pBusHandle : i2c_deviceEndpoint_struct , spi_master_Endpoint_struct , uart_deviceEndpoint_struct
- pCallback : bm_cb_config_t , isf_eh_event_t
- pCbData : bm_cb_config_t
- pChannelDescriptor : dm_DeviceDescriptor_struct , rliAppState_t
- pConfig : sys_channelDescriptor_t
- pCurrentSample : DeviceDescriptor_struct , fxlc95000_DeviceDescriptor_t , mma955x_DeviceDescriptor_t
- pDataBuffer : isf_fifo_t
- pDeviceDescriptor : isf_SensorHandle_st
- pedometer_status_register : mma955x_PedometerData_t
- pedometerData : mma955x_DataBuffer_t , mma955x_PedometerNativeData_t , readPedometerResponseBuffer_t
- PedometerDataFifo_Sub16 : App1AppInstance_t
- PedometerDataFifo_Sub17 : App1AppInstance_t
- PedometerInfo_Sub16 : App1AppInstance_t
- PedometerInfo_Sub17 : App1AppInstance_t
- PedometerSettings_Sub16 : App1AppSettings_t
- PedometerSettings_Sub17 : App1AppSettings_t
- pEndpointHandle : dm_DeviceDescriptor_struct
- Period : bm_cb_config_t
- period : device_periodic_read_cfg_packet_t , gyro_config_t , mag_config_t
- periodHybridMode : fxos8700_ODR_Table_tag
- periodicNRead : rliAppState_t
- periodicRcvBuffer : rliAppState_t
- periodicStartAddress : rliAppState_t
- periodNormalMode : fxas21000_ODR_Table_tag , fxas21002_ODR_Table_tag , fxls8952_ODR_Table_tag , fxos8700_ODR_Table_tag
- pEvent : isf_eh_event_t
- pEventGroup : isf_dsa_ControlData_st
- pHandle : busHandle_struct , rliAppState_t
- pInsertPtr : isf_fifo_t
- pipeline_index : bm_t
- pLastEntry : isf_fifo_t
- pLock : busHandle_struct , DeviceDescriptor_struct
- pProtocol : dm_ChannelDescriptor_struct
- pProtocolCB : ci_protocol_t
- pProtocolInit : ci_protocol_t
- pRdLock : busHandle_struct
- pReadBuffer : spi_mater_SlaveCmd
- pressure : isf_KiloPascals1D_EngFixed_t , isf_KiloPascals1D_float_t , mpl3115_DataBuffer_t
- pressureData : sensorSampleData
- PressureDataFifo_Sub12 : App1AppInstance_t
- PressureInfo_Sub12 : App1AppInstance_t
- pressureOversampleRatio : fusion_algorithmConfig_t
- PressureSettings_Sub12 : App1AppSettings_t
- processedData : App1SensorData_t , BasicApp1SensorData_t
- processedDataBufferOffset : appSubscriptionResponse_t
- protcolID : ci_protocol_t
- protocolInstanceId : sys_channelDescriptor_t
- protocolType : sys_channelDescriptor_t
- pRxbuf : ci_rx_packet_t
- pSampleBufferInfo : isf_dsa_SensorSettings_st
- pSensorSpecificSettings : SensorConfig_st
- pSensorStaticConfig : isf_SensorHandle_st
- pSlaveInfo : spi_master_CommSpecificInfo_t , spi_master_Endpoint_struct
- pSupportedSensorDataTypes : isf_dsa_DeviceInfoBlock_st
- pSupportedSensorTypes : isf_dsa_DeviceInfoBlock_st
- pTxbuf : ci_tx_packet_t
- pUserData : isf_eh_event_t
- pWriteBuffer : fxlc95000_Command_t , mma955x_Command_t , spi_mater_SlaveCmd

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.